* {margin: 0; padding: 0;}
img, input[type="checkbox"] {vertical-align: middle;}

/* overlay */
div#overlay {
	position: fixed;
	width: 100%; height: 100%; /* width: 0; height: 0; */
     top: 0; left: 0;
     z-index: 10;
     background: rgba(0, 0, 0, 0.5);
     text-align: center;
     display: none; opacity: 0;
}
div#overlay div {margin: 5px 0;}
div#overlay div#popup {
     margin: 30px auto;
     width: 0; /*width: 500px;*/
	max-width: 90%;
	padding: 10px;
     display: none; opacity: 0;
}
div#overlay div#popup p {margin: 3px 0;}
div#overlay div#popup p.redirect {
	text-align: center;
	font-style: italic;
	font-size: 0.8em;
	font-weight: normal;
	padding: 0;
	margin-top: 10px;
}
/* footer */
footer {
     width: 100%;
     text-align: center;
     font-size: 0.9em;
	padding: 5px;
}
.middle {
    display: flex;
    align-items: center;
    justify-content: center;
}
/* Table */
table {border-spacing: 0;}
table.squared {border-collapse: collapse;}
table.squared tr th.noSquared, table.squared tr td.noSquared {
     border: none;
	background: inherit;
}
table thead tr th {
	text-align: center;
	font-weight: bold;
	padding: 3px;
	background: #eaeaea;
}
table.squared thead tr th, table.squared tr td {border: 1px solid #666666;}
table tr td.nowrap {
     width: 1px;
     white-space: nowrap;
}
table tr.hover:hover {background-color: #eaeaea;}

/* Form */
div.form-group.has-feedback > span.glyphicon.glyphicon-ok {color: #3c763d;}
div.form-group.has-feedback > span.glyphicon.glyphicon-remove {color: #a94442;}
div.form-group.has-feedback > span.glyphicon.glyphicon-warning-sign, div.form-group.has-feedback span.glyphicon.glyphicon-asterisk {color: #8a6d3b;}
div.form-group.select.has-feedback span.glyphicon {margin-right: 15px;}

/* Input e Buttons */
input[type="text"], input[type="password"], input[type="email"], textarea, select, input[type="number"], input[type="date"], span.input-group-addon {
     box-shadow: 0 1px 3px grey;
	-moz-box-shadow: 0 1px 3px grey;
	-webkit-box-shadow: 0 1px 3px grey;
	-o-box-shadow: 0 1px 3px grey;
     border-radius: 3px;
     border-width: 1px;
     border-style: solid;
     border-color: rgba(128, 128, 128, 1);
} select option {padding: 3px;}
.form-group.has-feedback .input-group .required {border-radius: 0 3px 3px 0;}
textarea:not(.error), select:not(.error) {
	border: 1px solid rgba(128, 128, 128, 1);
	box-shadow: 0 1px 3px grey;
	-moz-box-shadow: 0 1px 3px grey;
	-webkit-box-shadow: 0 1px 3px grey;
	-o-box-shadow: 0 1px 3px grey;
}
input[type="text"].error, input[type="password"].error, input[type="email"].error, textarea.error, select.error, input[type="number"].error, input[type="date"].error {
	border-color: rgba(255, 0, 0, 1) !important;
	box-shadow: 0 1px 3px rgba(255, 0, 0, 0.5) !important;
	-moz-box-shadow: 0 1px 3px rgba(255, 0, 0, 0.5) !important;
	-webkit-box-shadow: 0 1px 3px rgba(255, 0, 0, 0.5) !important;
	-o-box-shadow: 0 1px 3px rgba(255, 0, 0, 0.5) !important;
}
input[type="text"].error:focus, input[type="password"].error:focus, input[type="email"].error:focus, textarea.error:focus, select.error:focus, input[type="number"].error:focus, input[type="date"].error:focus {
	border-color: #ff9999 !important;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ff9999 !important;
     box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ff9999 !important;
}
input[type="text"]:focus, input[type="password"]:focus, input[type="email"]:focus, textarea:focus, select:focus, input[type="number"]:focus, input[type="date"]:focus {
	border-color: rgba(128, 128, 128, 0.5); outline: none !important;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ccc !important;
     box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ccc !important;
}
input[readonly="readonly"], select[readonly="readonly"], textarea[readonly="readonly"] {
     background: #eaeaea;
     border-color: rgba(128, 128, 128, 0.5);
	border: none;
	color: #999999;
}
input, select, textarea, button, a.button {border: 1px solid grey;}
input.required, select.required , textarea.required {}
button, input[type="submit"], a.button {
     box-shadow: 0 1px 3px grey;
	-moz-box-shadow: 0 1px 3px grey;
	-webkit-box-shadow: 0 1px 3px grey;
	-o-box-shadow: 0 1px 3px grey;
     border-radius: 3px;
     border-width: 1px;
     border-style: solid;
     border-color: rgba(128, 128, 128, 1);
     background: rgba(234, 234, 234, 1);
     font-family: Calibri, Arial;
     border-bottom-width: 2px;
     cursor: pointer;
     -webkit-transition-property: background, border-color;
     -webkit-transition-duration: 0.2s;
     transition-property: background, border-color;
     transition-duration: 0.2s;
	display: inline-block;
	padding: 6px 12px;
	margin-bottom: 0;
	white-space: nowrap;
	vertical-align: middle;
}
div.file-input div.file-caption-main button {
	box-shadow: none;
	-moz-box-shadow: none;
	-webkit-box-shadow: none;
	-o-box-shadow: none;
}
button:hover, input[type="submit"]:hover, a.button:hover {
     background: rgba(234, 234, 234, 0.7);
}
button:active, input[type="submit"]:active {
     opacity: 0.7;
     box-shadow: none;
	-moz-box-shadow: none;
	-webkit-box-shadow: none;
	-o-box-shadow: none;
}

/* Misc */
img.thumb {
	margin: 5px;
	border-radius: 3px;
	border: 1px solid #333333;
}
img.spinner {width: 32px; opacity: 0.5;}
div#tooltip {
	width: auto;
	min-height: 10px;
	font-size: 0.9em; line-height: 1.3;
	margin: 10px 0 0 15px;
	position: absolute;
	display: none;
	z-index: 9;
	border-radius: 3px;
	padding: 2px;
	background: #ffffcc;
	border: 1px solid #999999;
	-moz-box-shadow: 0 3px 5px #999999;
	-webkit-box-shadow: 0 3px 5px #999999;
	-o-box-shadow: 0 3px 5px #999999;
     box-shadow: 0 3px 5px #999999;
}

/*position: fixed;
	width: 100%; height: 100%;
     top: 0; left: 0;
     z-index: 10;
     display: none; opacity: 0;*/
	
.shadow {
	box-shadow: 0 1px 3px grey;
	-moz-box-shadow: 0 1px 3px grey;
	-webkit-box-shadow: 0 1px 3px grey;
	-o-box-shadow: 0 1px 3px grey;
}
.clear {clear: both;}
.f-left {float: left;} .f-right {float: right;}
.w-1024 {width: 1024px;} .w-1280 {width: 1280px;}
.w-100 {width: 100%;}
.systemError {
     color: red;
     font-weight: bold;
     font-size: 0.8em;
     font-family: Consolas, Courier;
}
.phantom {display: none;}
.hover, .link, .button, .pointer {cursor: pointer;}
img.hover {
	opacity: 1;
	-webkit-transition-property: opacity;
	-webkit-transition-duration: 0.3s;
	transition-property: opacity;
	transition-duration: 0.3s;
}
img.hover:hover {
	opacity: 0.5;
	-webkit-transition-property: opacity;
	-webkit-transition-duration: 0.3s;
	transition-property: opacity;
	transition-duration: 0.3s;
}
div.overflow {overflow: hidden;}
.borderOnOver:hover {
     outline: 3px solid black;
     cursor: pointer;
}
.successMsg {
     font-weight: bold;
     padding: 3px;
     border-radius: 3px;
     text-align: center;
     color: black;
     background: #99ff99;
     border: 1px solid green;
}
.errorMsg {
     font-weight: bold;
     padding: 3px;
     border-radius: 3px;
     text-align: center;
     color: red;
     background: #ffcccc;
     border: 1px solid red;
}
.warningMsg {
     font-weight: bold;
     padding: 3px;
     border-radius: 3px;
     text-align: center;
     color: black;
	background: orange;
	border: 1px solid red;
}
.m-0 {margin: 0 !important;} .p-0 {padding: 0 !important;}
.m-5 {margin: 5px;} .p-5 {padding: 5px;}
.m-10 {margin: 10px;} .p-10 {padding: 10px;}
.m-15 {margin: 15px;} .p-15 {padding: 15px;}
.m-20 {margin: 20px;} .p-20 {padding: 20px;}
.mt-0 {margin-top: 0;} .mt-5 {margin-top: 5px;} .mt-10 {margin-top: 10px;} .mt-15 {margin-top: 15px;} .mt-20 {margin-top: 20px;}
.mb-0 {margin-bottom: 0;} .mb-5 {margin-bottom: 5px;} .mb-10 {margin-bottom: 10px;} .mb-15 {margin-bottom: 15px;} .mb-20 {margin-bottom: 20px;}
.ml-0 {margin-left: 0;} .ml-5 {margin-left: 5px;} .ml-10 {margin-left: 10px;} .ml-15 {margin-left: 15px;} .ml-20 {margin-left: 20px;}
.mr-0 {margin-right: 0;} .mr-5 {margin-right: 5px;} .mr-10 {margin-right: 10px;} .mr-15 {margin-right: 15px;} .mr-20 {margin-right: 20px;}
.pt-0 {padding-top: 0;} .pt-5 {padding-top: 5px;} .pt-10 {padding-top: 10px;} .pt-15 {padding-top: 15px;} .pt-20 {padding-top: 20px;}
.pb-0 {padding-bottom: 0;} .pb-5 {padding-bottom: 5px;} .pb-10 {padding-bottom: 10px;} .pb-15 {padding-bottom: 15px;} .pb-20 {padding-bottom: 20px;}
.pl-0 {padding-left: 0;} .pl-5 {padding-left: 5px;} .pl-10 {padding-left: 10px;} .pl-15 {padding-left: 15px;} .pl-20 {padding-left: 20px;}
.pr-0 {padding-right: 0;} .pr-5 {padding-right: 5px;} .pr-10 {padding-right: 10px;} .pr-15 {padding-right: 15px;} .pr-20 {padding-right: 20px;}
.d-block {display: block;} .d-inline {display: inline;}
.br-0 {border-radius: 0;} .br-5 {border-radius: 5px;} .br-10 {border-radius: 10px;} .br-15 {border-radius: 15px;} .br-20 {border-radius: 20px;}
.va-middle, tr.va-middle th, tr.va-middle td {vertical-align: middle !important;}
/* Shadows */
.shadow-lr {position: relative;}
.shadow-lr:before, .shadow-lr:after {
     z-index: -1;
     position: absolute;
     content: "";
     bottom: 15px;
     left: 10px;
     width: 50%;
     top: 80%;
     max-width:300px;
     background: #777;
     box-shadow: 0 15px 10px #777;
	-moz-box-shadow: 0 15px 10px #777;
	-webkit-box-shadow: 0 15px 10px #777;
	-o-box-shadow: 0 15px 10px #777;
     transform: rotate(-3deg);
}
.shadow-lr:after {
     transform: rotate(3deg);
     right: 10px;
     left: auto;
}
.shadow-l {position: relative;}
.shadow-l:before {
	z-index: -1;
	position: absolute;
	content: "";
	bottom: 15px;
	left: 10px;
	width: 50%;
	top: 80%;
	max-width:300px;
	background: #777;
	box-shadow: 0 15px 10px #777;
	-moz-box-shadow: 0 15px 10px #777;
	-webkit-box-shadow: 0 15px 10px #777;
	-o-box-shadow: 0 15px 10px #777;
	transform: rotate(-3deg);
}
ul.pagination li {cursor: pointer;}
div.checkbox-inline {
	margin-top: 0;
	margin-bottom: 15px;
	padding-left: 0;
	padding-right: 20px;
}
.watermark {opacity: 0.7;}
.has-success .control-label, .has-error .control-label, .has-warning .control-label {color: inherit;}
/* Breadcrumb */
.breadcrumb > li + li:before {content: "\BB";}
/* File Input */
div.file-input button {
	box-shadow: none;
	-moz-box-shadow: none;
	-webkit-box-shadow: none;
	-o-box-shadow: none;
}
/* Table Sorter */
.tablesorter thead .disabled {display: none}
/* Froala Editor */
.fr-wrapper a {display: none !important;}